Bug 118170 - latest postgresql RPM breaks pgsetup.pl version detection
Summary: latest postgresql RPM breaks pgsetup.pl version detection
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
(Show other bugs)
Version: 2.17
Hardware: All Linux
medium
medium vote
Target Milestone: ---
Assignee: David Lawrence
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-12 19:39 UTC by Maxwell Kanat-Alexander
Modified: 2007-04-18 17:04 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-22 22:37:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes Version regex (393 bytes, patch)
2004-03-12 19:40 UTC, Maxwell Kanat-Alexander
no flags Details | Diff

Description Maxwell Kanat-Alexander 2004-03-12 19:39:28 UTC
The latest Fedora postgresql (7.3.4-11) prints its version as
"7.3.4-RH", which breaks the regex in pgsetup.pl. I'll post a patch here.

Comment 1 Maxwell Kanat-Alexander 2004-03-12 19:40:25 UTC
Created attachment 98499 [details]
Fixes Version regex

This changes the version-checking regex to understand and accept the "-RH" on
the modern Fedora versions of Postgres.

Comment 2 David Lawrence 2004-03-22 22:37:20 UTC
Thanks. Fixed in my tree.


Note You need to log in before you can comment on or make changes to this bug.